#!/bin/sh

CANONPATH=`readlink -f "$0"`
cd "`dirname "$CANONPATH"`"

if [ -f levelhead.v4l ]
then
    if [ ! -f ~/.levelhead.v4l ]
    then
        cp levelhead.v4l ~/.levelhead.v4l
    fi
    . ~/.levelhead.v4l
elif [ -f levelhead.gst ]
then
    if [ ! -f ~/.levelhead.gst ]
    then
        cp levelhead.gst ~/.levelhead.gst
    fi
    . ~/.levelhead.gst
else
    echo "You have no levelhead-config package installed. Please do."
fi

export TRACKER=osgart_artoolkitplus_tracker
export LD_LIBRARY_PATH="$LD_LIBRARY_PATH:/usr/lib/osgPlugins-1.2"

# arguments are in the order of: mirror-mode (for text), fullscreen toggle, w, h, graphic timer
./levelhead.bin $mirror $fullscreen $width $height $timer
